AsyncCallback.DataCallback (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper

## Interface AsyncCallback.DataCallback

- All Superinterfaces:
    AsyncCallback
  All Known Implementing Classes:
    ZooKeeperSaslClient.ServerSaslResponseCallback
  Enclosing interface:
    AsyncCallback

      @InterfaceAudience.Public
      public static interface AsyncCallback.DataCallback
      extends AsyncCallback

  This callback is used to retrieve the data and stat of the node.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.zookeeper.AsyncCallback

      `AsyncCallback.ACLCallback, AsyncCallback.AllChildrenNumberCallback, AsyncCallback.Children2Callback, AsyncCallback.ChildrenCallback, AsyncCallback.Create2Callback, AsyncCallback.DataCallback, AsyncCallback.EphemeralsCallback, AsyncCallback.MultiCallback, AsyncCallback.StatCallback, AsyncCallback.StringCallback, AsyncCallback.VoidCallback`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processResult(int rc, String path, Object ctx, byte[] data, Stat stat)` Process the result of asynchronous calls.

- - ### Method Detail

    - #### processResult

          void processResult(int rc,
                             String path,
                             Object ctx,
                             byte[] data,
                             Stat stat)

      Process the result of asynchronous calls.

      On success, rc is `KeeperException.Code.OK`.

      On failure, rc is set to the corresponding failure code in `KeeperException`.

      - `KeeperException.Code.NONODE` - The node on given path doesn't exist for some API calls.
      Parameters:
        `rc` - The return code or the result of the call.
        `path` - The path that we passed to asynchronous calls.
        `ctx` - Whatever context object that we passed to asynchronous calls.
        `data` - The data of the node.
        `stat` - `Stat` object of the node on given path.
      See Also:
        `ZooKeeper.getData(String, boolean, AsyncCallback.DataCallback, Object)`, `ZooKeeper.getData(String, Watcher, AsyncCallback.DataCallback, Object)`, `ZooKeeper.getConfig(boolean, AsyncCallback.DataCallback, Object)`, `ZooKeeper.getConfig(Watcher, AsyncCallback.DataCallback, Object)`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.